Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Phonemes Class Reference

STK phonemes table. More...

`#include <Phonemes.h>`

List of all members.

## Static Public Member Functions

const char * | name (unsigned int index)
| Returns the phoneme name for the given index (0-31).
MY_FLOAT | voiceGain (unsigned int index)
| Returns the voiced component gain for the given phoneme index (0-31).
MY_FLOAT | noiseGain (unsigned int index)
| Returns the unvoiced component gain for the given phoneme index (0-31).
MY_FLOAT | formantFrequency (unsigned int index, unsigned int partial)
| Returns the formant frequency for the given phoneme index (0-31) and partial (0-3).
MY_FLOAT | formantRadius (unsigned int index, unsigned int partial)
| Returns the formant radius for the given phoneme index (0-31) and partial (0-3).
MY_FLOAT | formantGain (unsigned int index, unsigned int partial)
| Returns the formant gain for the given phoneme index (0-31) and partial (0-3).

## Detailed Description

STK phonemes table.

This class does nothing other than declare a set of 32 static phoneme formant parameters and provide access to those values.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 18 of file Phonemes.h.

The documentation for this class was generated from the following file:

- Phonemes.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.